
package javabeans;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.*;

public class RegistroForm extends org.apache.struts.action.ActionForm {
  private String nombre;
  private String apellidos;
  private String usuario;
  private String password;
  private String passwordrep;
  private String email;

    public String getNombre() {
        return nombre;
    }
    public void setNombre(String nombre) {
        this.nombre = nombre;
    }
    public String getApellidos() {
        return apellidos;
    }
    public void setApellidos(String apellidos) {
        this.apellidos = apellidos;
    }
    public String getUsuario() {
        return usuario;
    }
    public void setUsuario(String usuario) {
        this.usuario = usuario;
    }
    public String getPassword() {
        return password;
    }
    public void setPassword(String password) {
        this.password = password;
    }  
    public String getPasswordrep() {
        return passwordrep;
    }
    public void setPasswordrep(String passwordrep) {
        this.passwordrep = passwordrep;
    }
    public String getEmail() {
        return email;
    }
    public void setEmail(String email) {
        this.email = email;
    }  
    public ActionErrors validate(ActionMapping mapping, 
                                HttpServletRequest req){
        ActionErrors errors=new ActionErrors();
        //comprueba si se ha suministrado un valor para
        //el campo usuario
        if(usuario==null||usuario.equals("")){
            errors.add("usuario",
                    new ActionMessage("error.usuario"));
        }
        //comprueba si se ha suministrado un valor para
        //el campo password
        if(password==null||password.equals("")){
            errors.add("password",
                    new ActionMessage("error.password"));
        }
        //comprueba si el password introducido en segundo 
        //lugar coincide con el primero
        if(!password.equals(passwordrep)){
            errors.add("passwordnomatch",
                    new ActionMessage("error.password.nomatch"));
        }
        //comprueba si la dirección de email es válida
        if(email.indexOf("@")==-1){
            errors.add("email",
                    new ActionMessage("error.email"));
        }
        return errors;
    }
}
